# Asterisk Project : Asterisk 13 Function_REALTIME_STORE

Created by wikibot on Aug 08, 2014

# REALTIME_STORE()

### Synopsis

RealTime Store Function.

### Description

This function will insert a new set of values into the RealTime repository. If RT engine provides an unique ID of the stored record, REALTIME_STORE(...)=.. creates channel variable named RTSTOREID, which contains value of unique ID. Currently, a maximum of 30 field/value pairs is supported.

### Syntax

    REALTIME_STORE(family,field1,fieldN[,...],field30)

##### Arguments

- `family`
- `field1`
- `fieldN`
- `field30`

### See Also

- Asterisk 13 Function_REALTIME
- Asterisk 13 Function_REALTIME_DESTROY
- Asterisk 13 Function_REALTIME_FIELD
- Asterisk 13 Function_REALTIME_HASH

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538